<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>sage</title>
	</head>
	<body>
	<div class="common_content_nav">您所在位置 > <a href="#">互动游戏</a></div>
	<div class="common_content_title">游戏设置</div>
	<div class="clearfix contactDetailed fenzuDetailed" style="position: relative;margin-top:0px;padding-left:10px; background:#FFF; overflow-y:auto ">
		<div id="div-title-first" style="margin-left:-10px; background-image:url('../../scrm/img/activity-step1.png');border-bottom:1px solid #D2D2D2; background-size:100% 100%; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:50px;">
			<span style="padding:0px 20%;">活动设置</span>
			<span style="padding:0px 20%;color:black;">活动时间</span>
		</div>
		<div id="div-title-second" style="margin-left:-10px; background-image:url('../../scrm/img/activity-step2.png');border-bottom:1px solid #D2D2D2; display:none;
			background-size:100% 100%;text-align:right; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:50px;">
			<span style="padding:0px 20%;color:black;">活动设置</span>
			<span style="padding:0px 20%;">活动时间</span>
		</div>
		<div id="div-img" style="position: absolute; margin: 10px 700px;">
			<img id="game-img" style="width: 270;height: 400px;" alt="" src=""/>
		</div>
		<div>
			<form id="form-prize-activitySetting">
				<ul id="ul-show-first" style="display:block;">
					<li>
						<span><span class="mustInput">*</span>活动名称：</span>
						<input type="hidden" name="sceneGameInstanceId" id="sceneGameInstanceId" value="">
						<input type="hidden" name="sceneGameId" id="sceneGameId">
						<input type="hidden" name="awards_count" id="awards_count" value="1">
						<input name="instanceName" id="instanceName" data-options="length:'100'" size="16" type="text" class="form-control input180" value="">
					</li>
					<li>
						<span><span class="mustInput">*</span>活动编码：</span>
						<input name="sceneGameInstanceCode" id="sceneGameInstanceCode"  data-options="length:'100'" class="form-control input180" placeholder="不可随意更改" />
					</li>
					<li>
						<span class="fl">活动说明：</span><br/>
						<span style="padding-left: 98px;">
							<textarea style="width:430px;" name="instanceDetail" id="instanceDetail" class="form-control" rows="3" placeholder="最多可以输入500个字符" data-options="length:'500'"></textarea>
						</span>
					</li>
					<li class="clearfix">
						<span class="fl margintop8">
							<span class="mustInput">*</span>活动时间：
						</span>
						<ul class="clearfix fl" style="">
							<ol>
								<div class="inline_input">
									<div class="relative">
										<input name="startTime" id="startTime" class="Wdate date_input input180" type="text" value=""
											 onfocus="WdatePicker({dateFmt:'yyyy-MM-dd HH:mm:ss',minDate:'%y-%M-%d',maxDate:'#F{$dp.$D(\'endTime\')}'})" readonly/>
										&nbsp;&nbsp;&nbsp;至：&nbsp;&nbsp;&nbsp;&nbsp;
										<input id="endTime" class="Wdate date_input input180" type="text" value="" name="endTime"
											 onfocus="WdatePicker({dateFmt:'yyyy-MM-dd HH:mm:ss',minDate:'#F{$dp.$D(\'startTime\')}'})" readonly/>
									</div>
								</div>
							</ol>
						</ul>
					</li>
					<li class="">
						<span class="fl"><span class="mustInput">*</span>抽奖机会：</span>
						每人
						<select id='luckyDrawType' name='luckyDrawType' style='width:60px;float:none;display:inline-block;'>
							<option value='total'>总共</option>
							<option value='every'>每天</option>
						</select>
						<!-- <input type="hidden" name="luckyDrawType" id="luckyDrawType" value="" />
						<input type="text" class="form-control" value="" input-type="select" style="width: 70px; height:25px;float:none; display:inline-block;">
						<ul class="dropdown-menu" data="$.lucky_draw_type" style="width: 100px;float: left;">
						</ul> -->
						,可参与
						<input class="form-control" type="text" name="luckyDrawValue" id="luckyDrawValue" style="width: 50px; height:25px; float:none; display:inline-block; text-align:center; margin-left: 5px;" onblur="checkInteger(this)" data-options="length:'8'"></input>
						次
					</li>
					<!-- 
						<li>
							<span style="float:none;width: 122px;">抽奖参与人群：</span>
							<input type="radio" name="sptIsuseforgroupmember" id="notUseLabel" checked="checked" value="0" onclick="showGroupButton('0')">&nbsp;全部 &nbsp;&nbsp;&nbsp;
							<input type="radio" name="sptIsuseforgroupmember" id="UseLabel" value="1" onclick="showGroupButton('1')">&nbsp;会员分组&nbsp;&nbsp;&nbsp;
							<span id="groupButton" style="display: none;">
								<button id="addFenZuBtn" type="button" class="btn add_lable_btn input40">+</button>
							</span>
							<div id="memberGroupList">
							</div>
						</li>
						<li>
							<span style="float:none;width: 122px;">使用标签：</span>
							<input type="radio" name="sptIsusememberlabel" id="notUseLabel" checked="checked" value="0" onclick="showLabelButton('0')">&nbsp;否 &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
							<input type="radio" name="sptIsusememberlabel" id="UseLabel" value="1" onclick="showLabelButton('1')">&nbsp;会员标签&nbsp;&nbsp;&nbsp;
							<span id="labelButton" style="display: none;">
								<button id="labelChooseBtn2" type="button" class="btn add_lable_btn input40">+</button>
							</span>
							<div id="memberTagList">
							</div>
						</li>
						<li>
							<span style="float:none;width: 122px;">家庭成员共享：</span>
							<input type="radio" name="sptIssharefamily" id="notUseLabel" checked="checked" value="0" >&nbsp;否 &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;
							<input type="radio" name="sptIssharefamily" id="UseLabel" value="1" >&nbsp;是&nbsp;&nbsp;&nbsp;
						</li>
					 -->
					<li class="clearfix">
						<span class="fl">
							积分消耗：
						</span>
						<input type="checkbox" id="isNeedPoints" name="isNeedPoints" value="Y"/>每次消耗
							<input class="form-control" type="text" name="needPointsAmount" id="needPointsAmount" style="width: 50px; height:25px; float:none; display:inline-block; text-align:center; margin-left: 5px;" onblur="checkInteger(this)" data-options="length:'8'"></input>
							分
					</li>
					<li class="clearfix">
						<span class="fl">
							指定等级：
						</span>
						<ul class="clearfix fl" id="grade-ul-prizeSetting">
						</ul>
					</li>
					<li class="clearfix">
						<span class="fl">
							活动URL：
						</span>
						<span id="pageUrl">
						</span>
					</li>
					<!-- 
						<li>
							<span style="float:none;width: 110px;">方案制作人：</span>
							<input name="sptProducer" id="sptProducer" data-options="length:'100'" size="16" type="text"
								class="form-control input300" value="">
						</li>
					 -->
				</ul>
				<!-- 上一步结束 -->	
				
				
				<!-- 下一步 -->	
				<ul id="ul-show-second" style="display:none;">
					<li class="">
						<span class="fl">奖项介绍:</span><br/><br/>
						<span style="padding-left: 90px;">
							<textarea name="instanceDesc" id="instanceDesc" class="form-control input780" rows="3" placeholder="最多可以输入200个字符" data-options="required:false,length:'200'"></textarea>
						</span>
					</li>
					<li class="">
						<span class="fl"><span class="mustInput">*</span>奖项设置</span>
						<button id="saveBtn_form_activitySetting" type="button" class="btn btn-success btn-block choose_btn">增加奖项</button>
					</li>
				</ul>
				<div id ="coupon-div" style="display: none;">
					<input type="hidden" name="give_coupons" id="give_coupons" value="" />
					<!--  -->
					<table id="activitySetting-coupon-table" class="easyui-datagrid"  style="width:100%;height:250px" data-options="pagination:true,singleSelect:true,collapsible:true">
						<thead>
							 <tr>
							 	<th data-options="field:'awardsId',width:1,hidden:true">&nbsp;&nbsp;</th>
				                <th data-options="field:'awardsName',width:120,align:'center',formatter:function(value,row,index){return rowformater_awards(value,row,index);}">奖项</th>
				                <th data-options="field:'awardsCode',width:120,align:'center',formatter:function(value,row,index){return rowformater_awardsCode(value,row,index);}">奖项编码</th>
				                <th data-options="field:'prizeType',width:120,align:'center',formatter:function(value,row,index){return prizeTypeSelect(value,row,index);}">奖品类型</th>
				                <th data-options="field:'prizeName',width:200,align:'center',formatter:function(value,row,index){return awards_content(value,row,index);}">奖项内容</th>
				                <th data-options="field:'equalscore',width:110,align:'center',hidden:true,formatter:function(value,row,index){return awards_equalscore(value,row,index);}">对应积分</th>
				                <th data-options="field:'persions',width:110,align:'center',formatter:function(value,row,index){return awards_persions(value,row,index);}">库存</th>
				                <th data-options="field:'probability',width:120,align:'center',formatter:function(value,row,index){return awards_probability(value,row,index);}">中奖率(%)</th>
				                <th data-options="field:'awardsSettingId',width:200,align:'center',formatter:function(value,row,index){return awardsRestrict(value,row,index);}">奖项限制</th>
				            </tr>
						</thead>
						<tbody id="appendPrizeItem">
						</tbody>
					</table>
				</div>
				
				<hr style="height:1px;border:none;border-top:1px solid #CBD5CB; margin-bottom: -12px;"/>
				
				<button id="nextBtn-form-activitySetting" type="button" class="btn btn-success choose_btn">下一步</button>
				<button id="backBtn-form-activitySetting" type="button" class="btn back choose_btn">返回</button>
				<button id="aboveBtn-form-activitySetting" style="display: none;" type="button" class="btn back choose_btn">上一步</button>
				<button id="saveBtn-form-activitySetting" style="display: none;" type="button" class="btn btn-success choose_btn">保存</button>
				<br/>
				<br/>
				
				<!--标签弹出层-->
				<div id="labelChoose-registerActivity" class="mask none">
					<div class="detailed labelChoose">
						<button type="button" class="icon detailed_close"></button>
						<div class="labelChoose_title">
							<span>已选标签</span>
						</div>
						<div class="labelChoose_list clearfix">
							<ul>
							</ul>
						</div>
						<div class="labelChoose_seach">
							<span>查询标签</span>
							<div>
								<input class="form-control" id="likeMemberTagName-registerActivity" value=""/> 
								<a id="queryTag_bt-activitySetting" href="#"><i class="input_icon input_seach"></i></a>
							</div>
						</div>
						<button type="button" class="btn btn-success btn-block choose_btn" id="tagSaveBtn2">确认</button>
					</div>
				</div>
				<!--分组弹出层-->
				<div id="addFenZu" class="mask_in none">
					<div class="detailed labelChoose">
						<div class="contactDetailed_title">添加分组</div>
						<div class="add_check_box">
							<span>添加已有分组</span>
							<div class="input160 relative">
								<input type="hidden" id="selectMemberGroupId" value="" />
								<input size="16" type="text" id="selectMemberGroupName" class="form-control" value="" input-type="select" placeholder="-请选择-" readonly>
								<ul class="dropdown-menu">
								</ul>
								<i class="input_icon input_down"></i>
							</div>
							<div class="contactDetailed_btn">
								<button id="groupSaveBtn" type="button" class="btn btn-success input90">保存</button>
								<button type="button" class="btn input90 detailed_close2">关闭</button>
							</div>
						</div>
					</div>
				</div>
				
			</form>
				
			<div id = "couponDiv" class="mask none">
				<div class="detailed labelChoose" style="margin-top:10px;">
					<button id="closeCoupon" type="button" class="icon detailed_close"></button>
					<div class="userDetailed_tab_scach clearfix">
						<div class="common_content_scach_box fl">
							<ul class="clearfix">
								<li style="margin:0;">
									<span>优惠券名称</span>
									<div>
										<input id="couponNameSea" name="couponNameSea" size="16" type="text" class="form-control" value="">
									</div>
								</li>
							</ul>
						</div>
						<i class="icon seach_btn fl" id="seachCoupon"></i>
					</div>
					<table id="couCateItemCouponTable" class="easyui-datagrid" style="width:90%;height:200px" 
						data-options="pagination:true,singleSelect:true,method:'post'">
							<thead>
								<tr>
						        	<th data-options="field:'couponId',checkbox:true">&nbsp;&nbsp;</th>
						            <th data-options="field:'couponName',width:180,align:'center'">优惠券名称</th>
						            <th data-options="field:'thruDate',width:180,align:'center',
										formatter : function(value, row, index) {return getDateString(value);}">有效期</th>
						            <!-- <th data-options="field:'issueQuantity',width:150,align:'center'">剩余张数</th> -->
						        </tr>
							</thead>
					</table>
					<button type="button" class="btn btn-success btn-block choose_btn" onclick="javascript:getCouponId();" id="submitButton">使用</button>
				</div>
			</div>
		</div>
	</div>
		<script type="text/javascript">
				$(function() {
					require(['view/activity/prizeSetting'], function(re) {
						re.init();
					});
				});
				
			</script>
	</body>
</html>

